server:
  port: 18083
  tomcat:
    uri-encoding: UTF-8
    max-threads: 500
    min-spare-threads: 15
    connection-timeout: 5000ms
spring:
  http:
    encoding:
      charset: UTF-8
      force: true
      enabled: true
  datasource:
    driver-class-name: org.h2.Driver
    schema: classpath:db/schema-print_server.sql
#    data: classpath:db/data-h2.sql
#    url: jdbc:h2:mem:printer_server
    url: jdbc:h2:file:./db/printer_server;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE
    username: root
    password: root
  h2:
    console:
      enabled: true
      settings:
        trace: false
        web-allow-others: true
      path: /console
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  profiles:
    active: dev
mybatis-plus:
  mapper-locations: classpath:/mapper/*.xml
  type-aliases-package: com.cyxh.emenu.print.model.entity
  global-config:
    banner: false
    db-config:
      id-type: assign_id
